cascading.flow.tez.stream.element

## Class TezMergeGate

- java.lang.Object
- - cascading.flow.stream.duct.Duct<Incoming,Outgoing>
  - - cascading.flow.stream.duct.Gate<Incoming,Outgoing>
    - - cascading.flow.stream.element.SpliceGate<TupleEntry,TupleEntry>
      - - cascading.flow.tez.stream.element.TezMergeGate

All Implemented Interfaces:
  Collapsing, ElementDuct, InputSource

    public class TezMergeGate
    extends SpliceGate<TupleEntry,TupleEntry>
    implements InputSource

### Field Summary

Fields
`protected SortedListMultiMap<java.lang.Integer,org.apache.tez.runtime.api.LogicalInput>` `logicalInputs`
`protected java.util.Collection<org.apache.tez.runtime.api.LogicalOutput>` `logicalOutputs`

### Fields inherited from class cascading.flow.stream.element.SpliceGate

`flowProcess, incomingScopes, outgoingScopes, role, splice`

### Fields inherited from class cascading.flow.stream.duct.Duct

`next`

### Constructor Summary

Constructors
Constructor and Description
`TezMergeGate(FlowProcess flowProcess, Splice splice, IORole role, java.util.Collection<org.apache.tez.runtime.api.LogicalOutput> logicalOutputs)`
`TezMergeGate(FlowProcess flowProcess, Splice splice, IORole role, SortedListMultiMap<java.lang.Integer,org.apache.tez.runtime.api.LogicalInput> logicalInputs)`

### Method Summary

Methods
`void` `bind(StreamGraph streamGraph)`
`void` `complete(Duct previous)`
`protected OutputCollector` `createOutputCollector()`
`void` `initialize()`
`protected java.lang.Throwable` `map()`
`void` `prepare()`
`void` `receive(Duct previous, int ordinal, TupleEntry incomingEntry)`
`void` `run(java.lang.Object input)`
`void` `start(Duct previous)`

### Methods inherited from class cascading.flow.stream.element.SpliceGate

`equals, getBranchNames, getFlowElement, getIncomingScopes, getOutgoingScopes, getSplice, handleException, handleReThrowableException, hashCode, hasTrapHandler, setBranchNames, setTrapHandler, toString`

### Methods inherited from class cascading.flow.stream.duct.Duct

`cleanup, getNext, getNextFor, receiveFirst`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### logicalOutputs

    protected java.util.Collection<org.apache.tez.runtime.api.LogicalOutput> logicalOutputs

#### logicalInputs

    protected SortedListMultiMap<java.lang.Integer,org.apache.tez.runtime.api.LogicalInput> logicalInputs

### Constructor Detail

#### TezMergeGate

    public TezMergeGate(FlowProcess flowProcess,
                Splice splice,
                IORole role,
                java.util.Collection<org.apache.tez.runtime.api.LogicalOutput> logicalOutputs)

#### TezMergeGate

    public TezMergeGate(FlowProcess flowProcess,
                Splice splice,
                IORole role,
                SortedListMultiMap<java.lang.Integer,org.apache.tez.runtime.api.LogicalInput> logicalInputs)

### Method Detail

#### initialize

    public void initialize()

Overrides:
  `initialize` in class `SpliceGate<TupleEntry,TupleEntry>`

#### bind

    public void bind(StreamGraph streamGraph)

Overrides:
  `bind` in class `Duct<TupleEntry,TupleEntry>`

#### prepare

    public void prepare()

Overrides:
  `prepare` in class `Duct<TupleEntry,TupleEntry>`

#### start

    public void start(Duct previous)

Overrides:
  `start` in class `Duct<TupleEntry,TupleEntry>`

#### receive

    public void receive(Duct previous,
               int ordinal,
               TupleEntry incomingEntry)

Specified by:
  `receive` in class `Duct<TupleEntry,TupleEntry>`

#### complete

    public void complete(Duct previous)

Overrides:
  `complete` in class `Duct<TupleEntry,TupleEntry>`

#### run

    public void run(java.lang.Object input)
             throws java.lang.Throwable

Specified by:
  `run` in interface `InputSource`
Throws:
  `java.lang.Throwable`

#### map

    protected java.lang.Throwable map()
                               throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### createOutputCollector

    protected OutputCollector createOutputCollector()